/*
 * Portions of this file Copyright 1999-2005 University of Chicago
 * Portions of this file Copyright 1999-2005 The University of Southern California.
 *
 * This file or a portion of this file is licensed under the
 * terms of the Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without
 * modifications, you must include this notice in the file.
 */
package org.globus.wsrf;

import org.globus.wsrf.NotifyCallback;

/**
 * Interface to be implemented by subscription resources that can be used
 * in local subscription requests. Extends from Subscription and adds just
 * one method to get the NotifyCallback of the subscription.
 */
public interface LocalInvocationEnabledSubscription extends Subscription
{

    /**
     * Get the object that implements NotifyCallback
     * If any. Returns null for insecure subcriptions
     *
     * @return callback
     */
    public NotifyCallback getCallback();

}
